Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.image.loader.batik
Class ImageLoaderFactorySVG

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory
          org.apache.fop.image.loader.batik.ImageLoaderFactorySVG

All Implemented Interfaces:
  org.apache.xmlgraphics.image.loader.spi.ImageLoaderFactory

    public class ImageLoaderFactorySVG

extends org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory

Factory class for the ImageLoader for SVG.

Constructor Summary
`ImageLoaderFactorySVG()`

Method Summary
`org.apache.xmlgraphics.image.loader.ImageFlavor[]` | `getSupportedFlavors(java.lang.String mime)`
`java.lang.String[]` | `getSupportedMIMETypes()`
`boolean` | `isAvailable()`
`org.apache.xmlgraphics.image.loader.spi.ImageLoader` | `newImageLoader(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)`

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoaderFactory
`getUsagePenalty, isSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageLoaderFactorySVG

    public ImageLoaderFactorySVG()

Method Detail

### getSupportedMIMETypes

    public java.lang.String[] getSupportedMIMETypes()

### getSupportedFlavors

    public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedFlavors(java.lang.String mime)

### newImageLoader

    public org.apache.xmlgraphics.image.loader.spi.ImageLoader newImageLoader(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)

### isAvailable

    public boolean isAvailable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.